VerityVerity API
API Reference

Look up medical code

Look up a medical code (CPT, HCPCS, ICD-10, NDC) and get coverage information. Returns fuzzy suggestions when exact match fails.

GET
/codes/lookup

Authorization

bearerAuth
AuthorizationBearer <token>

API keys are prefixed with vrt_live_ for production or vrt_test_ for testing. Example: vrt_live_abc123xyz

In: header

Query Parameters

code*string

The medical code to look up

Length1 <= length <= 20
code_system?string

Hint for code system

Value in"CPT" | "HCPCS" | "ICD10CM" | "ICD10PCS" | "NDC"
jurisdiction?string

Filter policies by MAC jurisdiction code

Lengthlength <= 10
include?string

Comma-separated list of additional data to include: rvu, policies, rates

fuzzy?string

Enable fuzzy matching on miss

Default"true"
Value in"true" | "false"

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://verity.backworkai.com/api/v1/codes/lookup?code=76942&jurisdiction=JM&include=rvu%2Cpolicies%2Crates"
{
  "success": true,
  "data": {
    "code": "76942",
    "code_system": "HCPCS",
    "found": true,
    "description": "Ultrasonic guidance for needle placement",
    "short_description": "string",
    "category": "string",
    "betos_code": "string",
    "poa_exempt": true,
    "is_active": true,
    "rvu": {
      "work_rvu": "0.67",
      "pe_rvu_nonfacility": "string",
      "pe_rvu_facility": "string",
      "mp_rvu": "string",
      "total_rvu_nonfacility": "string",
      "total_rvu_facility": "string",
      "non_facility_price": "85.23",
      "facility_price": "42.11",
      "conversion_factor": "33.4009",
      "global_days": "000",
      "status_code": "A",
      "year": 2025
    },
    "policies": [
      {
        "policy_id": "L33831",
        "title": "Ultrasound Guidance for Needle Placement",
        "policy_type": "LCD",
        "disposition": "covered",
        "jurisdiction": "JM",
        "effective_date": "2024-01-01"
      }
    ],
    "suggestions": [
      {
        "code": "76942",
        "code_system": "HCPCS",
        "description": "string",
        "score": 0.95,
        "match_type": "code"
      }
    ],
    "negotiated_rates": {
      "min_rate": "1.30",
      "max_rate": "978.71",
      "avg_rate": "193.32",
      "num_rates": 28243,
      "payer": "United HealthCare Services, Inc.",
      "arrangement": "ffs"
    },
    "ndc_crosswalk": {
      "ndc": "00023-1145-01",
      "hcpcs_code": "J0585",
      "hcpcs_description": "string",
      "ndc_label": "Botox",
      "route": "Injection",
      "billing_units": "string",
      "conversion_factor": "string"
    }
  },
  "meta": {
    "request_id": "string",
    "includes": [
      "string"
    ],
    "fuzzy_enabled": true
  }
}
{
  "success": false,
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid query parameters",
    "hint": "Check the 'code' parameter format",
    "details": {}
  },
  "meta": {
    "request_id": "req_abc123"
  }
}
{
  "success": false,
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid query parameters",
    "hint": "Check the 'code' parameter format",
    "details": {}
  },
  "meta": {
    "request_id": "req_abc123"
  }
}
{
  "success": false,
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid query parameters",
    "hint": "Check the 'code' parameter format",
    "details": {}
  },
  "meta": {
    "request_id": "req_abc123"
  }
}